Built LMS Help Center
API Reference and PlaygroundLearning PathsLearning Path Enrollments

GET Get learning path enrollment

Retrieve a specific learning path enrollment with detailed node-level progress information

GET
/learning-path-enrollments/{id}

Retrieve a specific learning path enrollment with detailed node-level progress information

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Enrollment ID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/learning-path-enrollments/{id}"
{  "data": {    "id": "{id}",    "learning_path_id": "{learning_path_id}",    "user_id": "{user_id}",    "organization_id": "{organization_id}",    "status": "string",    "progress_percentage": 0,    "enrolled_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z"  },  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}